% copyright by Silvia Gandy, Tokyo Institute of Technology
% June, 2011

function X = refold_mode_n_Nthorder(Xunfold, mode, N)
%refold the mode-"mode" unfolded orderX-way array X
% N = [n1, n2,... nN];

orderX = size(N,2);

if mode == 1
    X=reshape(Xunfold, N);
else
    if mode == orderX
        X=reshape(Xunfold.', N); %% ޸
    else
        perm = [2:mode, 1, (mode+1):orderX];
        resh = [N(mode), N(1:(mode-1)), N((mode+1):orderX)]; 
        X=permute(reshape(Xunfold, resh), perm);
    end 
end    
end
