function [ signal] = generate_3Ddamping_signal(NumPeaks,NumPoints_row,NumPoints_col,NumPoints_ver)
%%
% This code is owned by Computational Sensing Group at Xiamen University
% Corresponding Author: Xiaobo Qu
% Homepage: http://www.quxiaobo.org
% Email: quxiaobo <|at|> xmu.edu.cn
% Affiliations:
% (a)Departments of Electronic Science, Xiamen University, Xiamen 361005, China
% (b)Fujian Key Laboratory of Plasma and Magnetic Resonance, Xiamen University, Xiamen 361005, China

%%
     Amp=1+10.^(0.5*rand(NumPeaks,1));
     f_row=(unidrnd(NumPoints_row,NumPeaks,1))/NumPoints_row;
     f_col=(unidrnd(NumPoints_col,NumPeaks,1))/NumPoints_col;
     f_ver=(unidrnd(NumPoints_ver,NumPeaks,1))/NumPoints_ver;
     Tao_row=rand(NumPeaks,1)*30+10;
     Tao_col=rand(NumPeaks,1)*30+10;
     Tao_ver=rand(NumPeaks,1)*30+10;
     signal=generate_3Ddamping_exponentials(Amp,f_row,f_col,f_ver,Tao_row,Tao_col,Tao_ver,NumPoints_row,NumPoints_col,NumPoints_ver);
     signal=signal/max((signal(:)));

end

