function [ signal] = generate_3Ddamping_signal_toy(NumPoints_row,NumPoints_col,NumPoints_ver)
%%
% This code is owned by Computational Sensing Group at Xiamen University
% Corresponding Author: Xiaobo Qu
% Homepage: http://www.quxiaobo.org
% Email: quxiaobo <|at|> xmu.edu.cn
% Affiliations:
% (a)Departments of Electronic Science, Xiamen University, Xiamen 361005, China
% (b)Fujian Key Laboratory of Plasma and Magnetic Resonance, Xiamen University, Xiamen 361005, China

%%
     Amp=[1 0.8 0.7 0.6 1.1 1.2 0.8 1 1.1 0.9];
     f_row=[0.8 0.9 0.3 0.2 0.3 0.7 0.3 0.2 0.1 0.2];
     f_col=[0.8 0.2 0.7 0.1 0.4 0.3 0.7 0.8 0.9 0.3];
     f_ver=[0.8 0.3 0.6 0.4 0.7 0.3 0.1 0.6 0.2 0.7];
     Tao_row=[40 30 25 40 30 36 28 43 35 30];
     Tao_col=[30 30 32 28 36 40 35 30 25 30];
     Tao_ver=[35 25 34 40 38 35 30 36 30 28];
     signal=generate_3Ddamping_exponentials(Amp,f_row,f_col,f_ver,Tao_row,Tao_col,Tao_ver,NumPoints_row,NumPoints_col,NumPoints_ver);
     signal=signal/max((signal(:)));

end

