function [ signal3D] = generate_3Dexponentials_real(Amp,f_row,f_col,f_ver,NumPoints_row,NumPoints_col,NumPoints_ver)
%% Generate 3D exponential signal;
%%
% This code is owned by Computational Sensing Group at Xiamen University
% Corresponding Author: Xiaobo Qu
% Homepage: http://www.quxiaobo.org
% Email: quxiaobo <|at|> xmu.edu.cn
% Affiliations:
% (a)Departments of Electronic Science, Xiamen University, Xiamen 361005, China
% (b)Fujian Key Laboratory of Plasma and Magnetic Resonance, Xiamen University, Xiamen 361005, China

%%
Phase=repmat(0*2*pi,1,length(Amp));
for iter=1:length(Amp)
    if iter==1
        signal3D=generate_3Dexponential_real(Amp(iter),f_row(iter),f_col(iter),f_ver(iter),NumPoints_row,NumPoints_col,NumPoints_ver,Phase(iter));
    else
        signal3D=signal3D+generate_3Dexponential_real(Amp(iter),f_row(iter),f_col(iter),f_ver(iter),NumPoints_row,NumPoints_col,NumPoints_ver,Phase(iter));
    end
end


end

