function res = mtimes(a,b)

if isa(a,'Fu_downsample') == 0 
    error('In  A.*B only A can be Fu_downsample');
end

if a.adjoint
   b=reshape(b,a.row,a.column);
   FID=(ifft2c(b));
   res=FID(logical(a.mask));
else
   FID=zeros(size(a.mask));
   FID(logical(a.mask))=b;    
   res=fft2c(FID);
end