function [ mask3D] = generate_rand_mask( ratio,row,col,ver)
%%
% This code is owned by Computational Sensing Group at Xiamen University
% Corresponding Author: Xiaobo Qu
% Homepage: http://www.quxiaobo.org
% Email: quxiaobo <|at|> xmu.edu.cn
% Affiliations:
% (a)Departments of Electronic Science, Xiamen University, Xiamen 361005, China
% (b)Fujian Key Laboratory of Plasma and Magnetic Resonance, Xiamen University, Xiamen 361005, China

%%
     p=row*col*ver;
     t=rand(p,1);
     temp=zeros(p,1);
     [a,b]=sort(t);
     num=b(1:round(ratio*p));
     temp(num)=1;
     mask3D=reshape(temp,row, col,ver);
end

