% copyright by Silvia Gandy, Tokyo Institute of Technology
% June, 2011

function val = ff_plus_gg(X, n, orderX, lambda, B, Idx )
%ff_plus_gg = sum_i (||X(i)||_*) + lambda/2*||X(Idx) - B||_2^2

val = 0;
for i = 1:orderX
    X_tmp = unfold_mode_n_Nthorder(X, i, n) ;
    [U S] = svd(X_tmp, 0);
    val = val + sum(diag(S));
end

y = X(Idx) -B;
val = val + (y'*y)*lambda/2;  %% ޸
end

