function [ signal] = generate3Dsignal(NumPeaks,NumPoints_row,NumPoints_col,NumPoints_ver )
%%
% This code is owned by Computational Sensing Group at Xiamen University
% Corresponding Author: Xiaobo Qu
% Homepage: http://www.quxiaobo.org
% Email: quxiaobo <|at|> xmu.edu.cn
% Affiliations:
% (a)Departments of Electronic Science, Xiamen University, Xiamen 361005, China
% (b)Fujian Key Laboratory of Plasma and Magnetic Resonance, Xiamen University, Xiamen 361005, China

%%
     Amp=1+10.^(0.5*rand(NumPeaks,1));
     f_row=(rand(NumPeaks,1));
     f_col=(rand(NumPeaks,1));
     f_ver=(rand(NumPeaks,1));
     signal= generate_3Dexponentials(Amp,f_row,f_col,f_ver,NumPoints_row,NumPoints_col,NumPoints_ver);
     signal=signal/max((signal(:)));
end

