function [ signal3D] =generate_3Ddamping_exponential( Amp,f_row,f_col,f_ver,Tao_row,Tao_col,Tao_ver,NumPoints_row,NumPoints_col,NumPoints_ver,Phase )
%% Generate the FID of one peak;
%%
% This code is owned by Computational Sensing Group at Xiamen University
% Corresponding Author: Xiaobo Qu
% Homepage: http://www.quxiaobo.org
% Email: quxiaobo <|at|> xmu.edu.cn
% Affiliations:
% (a)Departments of Electronic Science, Xiamen University, Xiamen 361005, China
% (b)Fujian Key Laboratory of Plasma and Magnetic Resonance, Xiamen University, Xiamen 361005, China

%%
exp_row=generate_1Ddamping_exponential(Amp,f_row,Phase,Tao_row,NumPoints_row);
exp_col=generate_1Ddamping_exponential(1,f_col,Phase,Tao_col,NumPoints_col);
exp_ver=generate_1Ddamping_exponential(1,f_ver,Phase,Tao_ver,NumPoints_ver);
signal2D=exp_row.'*exp_col;
[row,col]=size(signal2D);
ver=length(exp_ver);
signal3D=zeros(row,col,ver);
for k=1:ver
    signal3D(:,:,k)=signal2D*exp_ver(k);
end
% save signal_col exp_col;
